#ifndef GrWorld_H
#define GrWorld_H

// $Header: p:\\graphics\\CVS/src/GraphicsTown/GrWorld.H,v 1.3 2000/11/19 22:43:45 gleicher Exp $
// GraphicsTown - CS559-2000, sample solution
//

//
// "the world" - framework for stuff to go into
//
class DrawingState;
class GrObject;

// the sky and "earth" are special objects, so we draw them
// differently - they are not GrObjects. 
// they always get drawn before all other objects
// draw sky gets called first, and is responsible for doing the clear
// 
void drawSky(DrawingState*);
void drawEarth(DrawingState*);

// basic lighting...
void setupLights(DrawingState*);

// all of the objects in the world, kept in a big linked list...
extern GrObject* theObjects;

#endif
